
QGIS Application - Bug report #1356

create index incorrect for MapInfo files

2008-10-19 08:53 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 11416

Description

The option "Create spatial index" in Layer properties does not work for [[MapInfo]] layers, even if among the metadata we can read:

Editing capabilities of this layer : Create Spatial Index, Select Geometries by ID (random access).

Either disable the button for mapinfo or enable index creation.

History

#1 - 2009-08-05 01:13 AM - Giovanni Manghi

Still a problem under the latest trunk (rev. 11270).

#2 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2011-12-25 11:25 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Resolution set to fixed

- Crashes QGIS or corrupts data set to No

- Status changed from Open to Closed

- Assignee deleted (nobody -)

- Affected QGIS version set to master

Seems fixed now:

Editing capabilities of this layer: Add Features, Fast Access to Features at ID

and the button to create spatial index is disabled.
